const $ = require('jquery');


const regexWwwPrefix = /^www\./i;
const regexLooksEnoughLikeUrl = /https?:\/\//;

function parseUrl(url) {
  const loc = url && $(`<a href="${ url }">`)[0]; // alternatively, we could parse the string with a library like "url"
  return loc || {};
}

function shortDomain(val) {
  const domain = looksLikeAbsoluteUrl(val) ? parseUrl(val).host : val;
  return (domain || '').replace(regexWwwPrefix, '');
}

function looksLikeAbsoluteUrl(url) {
  return regexLooksEnoughLikeUrl.test(url || '');
}

module.exports = {
  parseUrl,
  shortDomain,
  looksLikeAbsoluteUrl
}