const fetchProductList = require('./workflows/shopping-list/fetch-products.iteration-1.js');
// ^^^ later in the tutorial, we will change iteration-1 to iteration-2 above       ^^^
const manuallyInputProductList = require('./workflows/shopping-list/manually-input-product-list.js');
const buildShoppingCart = require('./workflows/build-shopping-cart/build-shopping-cart.js');
const selectDesiredStore = require('./workflows/select-desired-store.js');
const diffPopulatedCart = require('./workflows/diff-populated-cart.js');


class TeamPurchasingExample {
  constructor(runner) {
    const { $, _, kahba, prefab } = runner;

    kahba.waterfall([

      // during the tutorial, we'll uncomment each task one at a time, covering the new concepts encountered in its source code

      // fetchProductList(runner)

      // selectDesiredStore(runner),

      // buildShoppingCart(runner),

      // diffPopulatedCart(runner),

    ], err => {
      if (err) {
        console.info(`TeamPurchasingExample ${ err.userMessage ? 'stopping' : 'UNCAUGHT ERROR' }`, err);
        prefab.sendAlert(err.userMessage || 'Automation Script Failed: unknown error');
        runner.stop();
      } else {
        prefab.reportHtml('<h3 class="lead">TeamPurchasingExample automation finished</h3>');
      }
    });
  }

}


window.WranggleAutomationScript = TeamPurchasingExample;
