const _ = require('lodash');
const { parseCsvAndGroupProductsByHostname } = require('../../support/csv-support.js');

module.exports = function fetchProductList(runner) {
  const { kahba } = runner;
  
  return kahba.waterfall([
    runner.visit('https://github.com/wranggle/example-github-as-db/blob/master/tutorial-support/product-list.csv'),

    runner.wait('.file:visible'),

    () => runner.xhr($('#raw-url').prop('href')),

    (xhrResponse={}) => {
      const productsByHostname = parseCsvAndGroupProductsByHostname(xhrResponse.body);
      kahba.stash.productsByHostname = productsByHostname;
      return Promise.resolve({ productsByHostname });
    },
  ]);
}
