const { groupProductsByHostname } = require('../../support/csv-support.js');


function manuallyInputProductList(runner) {
  const { kahba, prefab } = runner;

  return kahba.waterfall([
    kahba.runUntilFinal(() => {
      const gridConfig = [ { name: null, quantity: null, url: null, notes: null } ];
      return prefab.sendHandsontablePrompt(gridConfig, {
        name: 'productList',
        title: 'Manually Enter Product List',
        description: 'Could not retrieve product list from CSV file.',
        preferPrimitiveResult: false,
      });
    }),

    formData => {
      const productsByHostname = groupProductsByHostname(formData.productList);
      kahba.stash.productsByHostname = productsByHostname;
      return Promise.resolve({ productsByHostname });
    },
    // note: though the stash is nice, once familiar with more advanced nesting concepts we could go without it and instead use a single line for this task:
    // formData => Promise.resolve({ productsByHostname: groupProductsByHostname(formData.productList) }),
  ]);

}

module.exports = manuallyInputProductList;